<template>
  <div class="records">
    <div v-if="loading">
      <ul class="records-content">
        <li class="record">
          <record />
        </li>
      </ul>
    </div>
    <div v-else>
      <ul class="records-content" v-if="reservations.length">
        <li
          class="record"
          v-for="(reservation, index) in reservations"
          :key="index"
        >
          <record :reservation="reservation" />
        </li>
      </ul>
      <div class="no-records" v-else>
        {{ $t(noRecordsI18nKey) }}
      </div>
    </div>
  </div>
</template>

<script>
import Record from "./RecordMobile";

export default {
  components: {
    Record
  },

  props: {
    reservations: {
      type: Array,
      default: () => []
    },
    loading: {
      type: Boolean,
      default: () => false
    },
    type: {
      type: String,
      default: () => "booking"
    }
  },

  computed: {
    noRecordsI18nKey() {
      return this.type === "booking"
        ? "records.noBookingRecords"
        : "records.noWaitingRecords";
    }
  }
};
</script>

<style lang="scss" scoped>
.record {
  padding: 0;
  margin-bottom: 10px;
}

.no-records {
  background: $color-white;
  text-align: center;
  height: 120px;
  line-height: 120px;
  color: $color-pigeon-grey;
  border: 1px $color-sky-grey solid;
  border-radius: 5px;
  margin: 10px auto 0;
  font-size: 16px;
  max-width: 355px;

  @include media-breakpoint-up(md) {
    margin-top: 20px;
  }
}

.records-content {
  margin: 10px 0 0;
  padding: 0;
  list-style: none;

  @include media-breakpoint-up(md) {
    margin-top: 20px;
  }
}
</style>
